Support Forum Support Forum GDPR Cookie Compliance error when trying to edit iframes

Topic Resolution: Resolved
Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • Premium
    AvatarClaudia Hochgatterer
    July 24, 2020 @ 9:42 pm

    Hi there,

    I bought the pro version of this plugin, because I was very happy with the free version.

    But now, I face an issue and I’m not able to solve it:
    I want to block the iframe from google maps and no matter what kind of method I use, I get the following error message and the map is not blocked:

    Warning: DOMDocument::loadHTML() expects parameter 2 to be integer, string given in /home/.sites/858/site628/web/wp-content/plugins/gdpr-cookie-compliance-addon/moove-gdpr-addon-actions.php on line 376

    I just have basic coding knowledge (that’s why I bought your pro version), so I would be very glad if you have a quick and dirty solution for this 😉

    Kind regards, Claudia

    Premium
    AvatarClaudia Hochgatterer
    July 25, 2020 @ 9:52 am

    Hey there,

    I tried a lot yesterday and today. I will not use it for this specific customer anymore and try it for another website. Hopefully it works there 😉

    Kind regards,
    Claudia

    PS: Nevertheless it would be interesting what the error means.

    Moove AgencyMoove Agency
    July 28, 2020 @ 9:19 am

    Hi Johannes Larsson,

    Thanks for using our plugins.

    It seems your PHP version is below 5.4, and this caused the issue. Our plugin uses ‘LIBXML_HTML_NOIMPLIED’ and ‘LIBXML_HTML_NODEFDTD’, more details here: https://www.php.net/manual/en/libxml.constants.php#constant.libxml-html-noimplied

    Please note, our plugin requires PHP: 5.6 or higher.

    Hope this helps.

Viewing 3 posts - 1 through 3 (of 3 total)
You must be logged in to reply to this topic.